# Definitional proc to organize widgets for parameters.
proc init_gui { IPINST } {
  ipgui::add_param $IPINST -name "Component_Name"
  #Adding Page
  set Page_0 [ipgui::add_page $IPINST -name "Page 0"]
  ipgui::add_param $IPINST -name "C_CLK_FREQ_HZ_TMP" -parent ${Page_0}


}

proc update_PARAM_VALUE.C_S00_AXI_DATA_WIDTH { PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to update C_S00_AXI_DATA_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_DATA_WIDTH { PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to validate C_S00_AXI_DATA_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_ADDR_WIDTH { PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to update C_S00_AXI_ADDR_WIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_ADDR_WIDTH { PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to validate C_S00_AXI_ADDR_WIDTH
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_BASEADDR { PARAM_VALUE.C_S00_AXI_BASEADDR } {
	# Procedure called to update C_S00_AXI_BASEADDR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_BASEADDR { PARAM_VALUE.C_S00_AXI_BASEADDR } {
	# Procedure called to validate C_S00_AXI_BASEADDR
	return true
}

proc update_PARAM_VALUE.C_S00_AXI_HIGHADDR { PARAM_VALUE.C_S00_AXI_HIGHADDR } {
	# Procedure called to update C_S00_AXI_HIGHADDR when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_S00_AXI_HIGHADDR { PARAM_VALUE.C_S00_AXI_HIGHADDR } {
	# Procedure called to validate C_S00_AXI_HIGHADDR
	return true
}

# proc update_PARAM_VALUE.C_CLK_FREQ_HZ_TMP { PARAM_VALUE.C_CLK_FREQ_HZ_TMP } {
# 	# Procedure called to update C_CLK_FREQ_HZ_TMP when any of the dependent parameters in the arguments change
# }

proc validate_PARAM_VALUE.C_CLK_FREQ_HZ_TMP { PARAM_VALUE.C_CLK_FREQ_HZ_TMP } {
  # Procedure called to validate C_CLK_FREQ_HZ_TMP
  set clk_freq [get_property value ${PARAM_VALUE.C_CLK_FREQ_HZ_TMP}]
  puts "C_CLK_FREQ_HZ_TMP validate: $clk_freq Hz"
  return true
}

# proc update_PARAM_VALUE.C_CLK_FREQ_HZ { PARAM_VALUE.C_CLK_FREQ_HZ } {
# 	# Procedure called to update C_CLK_FREQ_HZ when any of the dependent parameters in the arguments change
# }
proc update_MODELPARAM_VALUE.C_CLK_FREQ_HZ { MODELPARAM_VALUE.C_CLK_FREQ_HZ PARAM_VALUE.C_CLK_FREQ_HZ_TMP } {
  set clk_freq [get_property value ${PARAM_VALUE.C_CLK_FREQ_HZ_TMP}]
  set_property value $clk_freq ${MODELPARAM_VALUE.C_CLK_FREQ_HZ}
  puts "C_CLK_FREQ_HZ update: $clk_freq Hz"
}

# proc validate_PARAM_VALUE.C_CLK_FREQ_HZ { PARAM_VALUE.C_CLK_FREQ_HZ } {
# 	# Procedure called to validate C_CLK_FREQ_HZ
# 	return true
# }


proc update_MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH { MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH PARAM_VALUE.C_S00_AXI_DATA_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S00_AXI_DATA_WIDTH}] ${MODELPARAM_VALUE.C_S00_AXI_DATA_WIDTH}
}

proc update_MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH { MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH PARAM_VALUE.C_S00_AXI_ADDR_WIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_S00_AXI_ADDR_WIDTH}] ${MODELPARAM_VALUE.C_S00_AXI_ADDR_WIDTH}
}

proc update_MODELPARAM_VALUE.C_CLK_FREQ_HZ { MODELPARAM_VALUE.C_CLK_FREQ_HZ PARAM_VALUE.C_CLK_FREQ_HZ } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_CLK_FREQ_HZ}] ${MODELPARAM_VALUE.C_CLK_FREQ_HZ}
}

